## mauikit-archiver 4.0.2+p24.04+vstable+git20250903.0105

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20250903.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 01:05:11 +0000

mauikit-archiver (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 16:23:10 +0000

mauikit-archiver (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 16:23:10 +0000

mauikit-archiver (4.0.0-0neon) noble; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 10 June 2024 19:57:31 +0000

## mauikit-archiver 4.0.2+p24.04+vstable+git20250904.0938

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Camilo Higuita <milo.h@aol.com>
#
# SPDX-License-Identifier: BSD-2-Clause

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_URL_CAST_FROM_STRING)

set(LIB_NAME MauiKitArchiver${MAUI_MAJOR_VERSION})

add_library(${LIB_NAME} SHARED)

ecm_add_qml_module(${LIB_NAME}
    URI "org.mauikit.archiver"
    CLASS_NAME ArchiverPlugin
    DEPENDENCIES
    "org.mauikit.controls"
    "org.mauikit.filebrowsing"
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE)

set(sources
    code/archiver_plugin.cpp
    code/compressedfile.cpp
    code/temporaryfile.cpp)

set(headers
    code/moduleinfo.h)

ecm_target_qml_sources(${LIB_NAME} SOURCES
    controls/ArchivePage.qml
    controls/ExtractDialog.qml
    controls/NewArchiveDialog.qml)

target_sources(${LIB_NAME}plugin
    PRIVATE
    ${sources})

target_sources(${LIB_NAME}
    PRIVATE
    code/moduleinfo.cpp)

add_library(MauiKit${MAUI_MAJOR_VERSION}::Archiver ALIAS MauiKitArchiver${MAUI_MAJOR_VERSION})

generate_export_header(${LIB_NAME} BASE_NAME Archiver)
set_target_properties(${LIB_NAME} PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
    EXPORT_NAME "Archiver")

target_include_directories(${LIB_NAME}
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/MauiKit${MAUI_MAJOR_VERSION}/Archiver>")

target_include_directories(${LIB_NAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR};>")

target_link_libraries(${LIB_NAME}plugin
    PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::Sql
    Qt${QT_MAJOR_VERSION}::Network
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::Archive
    KF${KF_MAJOR_VERSION}::CoreAddons
    MauiKit4
    MauiKit4::FileBrowsing)

target_link_libraries(${LIB_NAME}
    PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    KF${KF_MAJOR_VERSION}::CoreAddons)

ecm_finalize_qml_module(${LIB_NAME} DESTINATION ${KDE_INSTALL_QMLDIR})

install(TARGETS ${LIB_NAME} EXPORT ${LIB_NAME}Targets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${headers}
    ${CMAKE_CURRENT_BINARY_DIR}/archiver_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/MauiKit${MAUI_MAJOR_VERSION}/Archiver
    COMPONENT Devel)

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20250904.0938-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 09:38:52 +0000

=== debian/control ===
Source: mauikit-archiver
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libmauikitfilebrowsing-dev,
               mauikit-dev,
               mauiman-dev,
               ninja-build,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://mauikit.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit-archiver.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit-archiver
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-mauikit-archiver
Architecture: any
Depends: libmauikit,
         libmauikitarchiver4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-maui-mauikit,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Archiver support components for Maui applications
 .
 This package contains the mauikit archiver component support qml module.

Package: libmauikitarchiver4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Archiver support components for Maui applications
 .
 This package contains the mauikit archiver component support library.

Package: libmauikitarchiver-dev
Architecture: any
Depends: libmauikitarchiver4 (= ${binary:Version}),
         qml6-module-org-mauikit-archiver,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Archiver support components for Maui applications
 .
 This package contains mauikit archiver component support development files.

## mauikit-archiver 4.0.2+p24.04+vstable+git20251019.0731

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20251019.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:31:31 +0000

## mauikit-archiver 4.0.2+p24.04+vstable+git20251231.0230

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20251231.0230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:30:23 +0000

## mauikit-archiver 4.0.2+p24.04+vstable+git20260105.1004

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20260105.1004-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:04:22 +0000

## mauikit-archiver 4.0.2+p24.04+vstable+git20260130.1004

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20260130.1004-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:04:23 +0000

## mauikit-archiver 4.0.2+p24.04+vstable+git20260205.0608

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vstable+git20260205.0608-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:08:16 +0000

## mauikit-archiver 4.0.2+p24.04+vunstable+git20260205.0818

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vunstable+git20260205.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:18:09 +0000

## mauikit-archiver 4.0.2+p24.04+vunstable+git20260208.0706

=== debian/changelog ===
mauikit-archiver (4.0.2+p24.04+vunstable+git20260208.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 08 Feb 2026 07:06:23 +0000
